<template>
	<view class="configPopup">
		<uv-popup ref="popup" :round="30" :customStyle="{height: '50vh'}">
			<view class="content">
				<uv-parse :content="content"></uv-parse>
			</view>
		</uv-popup>
	</view>
</template>

<script>
	import { mapGetters } from 'vuex'
	export default {
		name: 'configPoup',
		data() {
			return {
				content : ''
			}
		},
		onShow(){
			console.log(this.getConfig);
		},
		methods: {
			
			//打开配置信息菜单
			open(key){
				console.log(key);
				this.content = this.getConfig[key]
				this.$refs.popup.open('bottom');
			}
			
			
		},
		
		computed : {
			...mapGetters(['getConfig'])
		}
	}
</script>

<style lang="scss" scoped>
	.configPopup {
		.content{
			padding: 30rpx 20rpx;
		}
	}
</style>